#!/usr/bin/env bash

RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m' # No Color
BW='\033[1;37m' # bold white

test_dir=$(realpath $(dirname "$0"))
cd $test_dir/..
for kategorija in $(cat laureati.json |
			grep 'kategorija' | sort --unique |
			awk '{$1=$1};1' | cut -d ' ' -f2 | cut -d '"' -f2);
do
    python3 1.py $kategorija;
    if [ $? -ne 0 ]; then
	echo -e "${RED}proverite da li se program interpretira!${NC}"
	echo -e "nije moguće izvršiti:  ${BW}python3 1.py $kategorija ${NC}"
	exit 1
    fi

    if ! [ -f laureati_$kategorija.json ]; then
	echo -e "- ${RED}datoteka laureati_$kategorija.json mora postojati!${NC}"
	echo -e "  proverite da li je generisana pozivom:  ${BW}python3 1.py $kategorija ${NC}"
	exit 1
    fi

    diff -q laureati_$kategorija.json $test_dir/$kategorija.json;
    if [ $? -eq 0 ]; then
	echo -e "- ${GREEN}$kategorija ... OK${NC}"
    else
	echo -e "- ${RED}$kategorija ... nije OK${NC}"
    fi
done
