from sys import argv
import json
from functools import cmp_to_key

if len(argv) != 2:
    print("Greska")
    exit(1)

category = argv[1]

try:
    with open("laureati.json", "r") as f:
        laureates = json.load(f)["laureati"]
except IOError:
    print("Greska")
    exit(1)

def in_category(l, c):
    for prize in l["nagrade"]:
        if prize["kategorija"] == c:
            return True
    return False

laureati_iz_kategorije = list(filter(lambda l: in_category(l, category), laureates))
prezime_ime = lambda l: ('{' if 'prezime' not in l else l['prezime']) + l['ime']
laureati_sortirani = sorted(laureati_iz_kategorije, key = prezime_ime)

with open("laureati_"+category+".json", "w") as f:
    json.dump(laureati_sortirani, f)
