import constraint
from sys import argv
from math import ceil

if len(argv) != 2:
    print("Greska")
    exit(1)

specified_value = float(argv[1])  # pretpostaviti da je argument broj
coeffs = [0.1, 0.5, 1, 10, 100]
units = ["10 centi", "50 centi", "1 dolar", "10 dolara", "100 dolara"]
ranges = list(map(lambda c: range(1, ceil(specified_value / c) + 1), coeffs))

problem = constraint.Problem()
for i, unit in enumerate(units):
    problem.addVariable(unit, ranges[i])

problem.addConstraint(constraint.ExactSumConstraint(specified_value, coeffs), units)
solutions = problem.getSolutions()

for sol in solutions:
    total = 0
    info = ""
    for unit in units:
        total += sol[unit]
        if info:
            info += ", "
        info += f"{unit}: {sol[unit]}"
    print(info + "\n")

if not solutions:
    print("nema resenja!")
